Cantera 2.6.0

Classes | Functions
ODE Integrators

## Classes
class | FuncEval
| Virtual base class for ODE right-hand-side function evaluators. More...
class | Integrator
| Abstract base class for ODE system integrators. More...

## Functions
static int | cvodes_rhs (realtype t, N_Vector y, N_Vector ydot, void *f_data)
| Function called by cvodes to evaluate ydot given y. More...

## Detailed Description

## Function Documentation

## ◆ cvodes_rhs()

static int cvodes_rhs | ( | realtype | t,
|  | N_Vector | y,
|  | N_Vector | ydot,
|  | void * | f_data
| ) |  |
| static

Function called by cvodes to evaluate ydot given y.

The CVODE integrator allows passing in a void* pointer to access external data. This pointer is cast to a pointer to a instance of class FuncEval. The equations to be integrated should be specified by deriving a class from FuncEval that evaluates the desired equations.

Definition at line 74 of file CVodesIntegrator.cpp.

References FuncEval::eval_nothrow().